[patch] Support for kernel 5.17 (Parallels Tools 17.1.2.51548)

Discussion in 'Linux Guest OS Discussion' started by (GalaxyMaster), Mar 31, 2022.

  1. MathewM1

    MathewM1 Bit Poster

    Messages:
    5
    Looks like 17.1.3 fixes the kernel modules for Linux v5.17.
    v5.18 was released this week, has anyone tried that yet? :)
     
    ChristopherW24 likes this.
  2. Mark Fine

    Mark Fine Kilo Poster

    Messages:
    444
    Actually... no, it may have fixed it for the ARM version, but not the Intel version because the change to pvmnet.c was never implemented. ARM doesn't use pvmnet for some reason. Clearly they never tested 17.1.3 on Intel.

    What's worse is that the gui version of the installer appears to upgrade you to 17.1.3's tools, but it doesn't - it may be using the one left over by 17.1.2 instead of using what's on the new virtual CD. So it keeps asking to upgrade every time you reboot. If you mount the virtual CD and run the textual version of the installer, it fails on the pvmnet.c error. So the pvmnet.c part of the patch still needs to be applied for Intel versions.

    I think I should start sending Parallels a bill for professional debugging and I don't come cheap.
     
    ChristopherW24 and SeanK8 like this.
  3. TonL

    TonL Bit Poster

    Messages:
    2
    Does anyone have patch for Linux 5.18?
     
    ChristopherW24 likes this.
  4. MitchellH3

    MitchellH3 Bit Poster

    Messages:
    1
    alvin_d and TonL like this.
  5. Mark Fine

    Mark Fine Kilo Poster

    Messages:
    444
  6. TonL

    TonL Bit Poster

    Messages:
    2
  7. Asish@Parallels

    Asish@Parallels Staff Member

    Messages:
    140
  8. alvin_d

    alvin_d Bit Poster

    Messages:
    5
  9. Mark Fine

    Mark Fine Kilo Poster

    Messages:
    444
    Turns out it's not just Intel. Red Hat-based kernels require the prl_eth fix.
     
  10. NicolasF3

    NicolasF3

    Messages:
    1
    Anyone to explain how to apply it please ? :oops:
     
  11. Mark Fine

    Mark Fine Kilo Poster

    Messages:
    444
    I am absolutely certain if you search this forum you will find out how to do it.
     
  12. PlayF

    PlayF Bit Poster

    Messages:
    5
    How i can use that patch in my M1? can you write instruction,please?
     
  13. AntonioA12

    AntonioA12 Bit Poster

    Messages:
    3
    Hello.
    First of all, thanks to everyone working to fix this issue.

    After unpacking kmod dir, editing the corresponding files according to the patch posted by MitchellH3, and zipping again to get prl_mod.tar.gz, I can't install Parallels Tools.

    Could someone upload the patched prl_mod.tar.gz file for kernel 5.18.8, like AngeloC did for 5.17.6?

    I tried to install Parallels tools on Fedora 16 (5.18.8-200.fc36.aarch64) hosted on a MacBook Air (M1 chip, macOS Monterey 12.4) running Parallels Desktop (17.1.4.51567).

    Please, don't waste your time if you have nothing else to say that if I search this forum I will find out how to do it.

    Thanks.
     

Share This Page